#
# spec file for package iputils (Version 20010824)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         iputils
Summary:      Network Utilities for IPv4 and IPv6
Version:      20010824
Release:      20
Copyright:    GPL/BSD
Group:        Networking/Utilities
Provides:     nkitb
Obsoletes:    nkitb
Source: iputils-ss010824.tar.gz
Source1: iputils-ping6.tar.bz2
Patch:  iputils.dif
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
This package contains some small network tools for IPv4 and IPv6 like
rdisc, ping6, traceroute6, tracepath and tracepath6.

Authors:
--------
    Alexey Kuznetsov <kuznet@ms2.inr.ac.ru>

SuSE series: n

%prep
%setup -n %{name} -b 1
%patch

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
install -s arping		${RPM_BUILD_ROOT}%{_sbindir}
install -s clockdiff		${RPM_BUILD_ROOT}%{_sbindir}
install -s rdisc		${RPM_BUILD_ROOT}%{_sbindir}/in.rdisc
install -s ping			${RPM_BUILD_ROOT}/bin
install -s ping6		${RPM_BUILD_ROOT}/bin
install -s tracepath		${RPM_BUILD_ROOT}%{_sbindir}
install -s tracepath6		${RPM_BUILD_ROOT}%{_sbindir}
install -s traceroute6		${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install  arping.8		${RPM_BUILD_ROOT}%{_mandir}/man8
install  in.rdisc.8c		${RPM_BUILD_ROOT}%{_mandir}/man8/in.rdisc.8
install  clockdiff.8		${RPM_BUILD_ROOT}%{_mandir}/man8
install  tracepath.8		${RPM_BUILD_ROOT}%{_mandir}/man8
install  ping.8			${RPM_BUILD_ROOT}%{_mandir}/man8/ping.8
install  ping6.8                ${RPM_BUILD_ROOT}%{_mandir}/man8/ping6.8

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README RELNOTES
%attr(755,root,root) %{_sbindir}/arping
%attr(755,root,root) %{_sbindir}/clockdiff
%attr(4755,root,root)	/bin/ping
%attr(4755,root,root)   /bin/ping6
%attr(755,root,root) %{_sbindir}/tracepath
%attr(755,root,root) %{_sbindir}/tracepath6
%attr(755,root,root) %{_sbindir}/traceroute6
%attr(755,root,root) %{_sbindir}/in.rdisc
%attr(644,root,root) %{_mandir}/man8/*

%changelog -n iputils
* Thu Sep 06 2001 - kukuk@suse.de
- Remove wrong warning about to old kernel and warning about
  problems with the clock from ping (ping has a special handler
  for this, so it is okay). Both only confuses tester [Bug #10141
  and Bug #10146].
* Sat Aug 25 2001 - kukuk@suse.de
- Update to snapshot from 24 Aug 2001
- Use included ping like all other distributions do
- Don't use included rarpd and tftpd
- Lot of new functions and minor bug fixes
* Mon Jun 18 2001 - schwab@suse.de
- Fix use of cpp directives inside macro call.
* Fri Mar 30 2001 - kukuk@suse.de
- Use ping6 from inet6-apps package [Bug #6354]
* Mon Mar 12 2001 - schwab@suse.de
- Fix use of kernel headers.
* Fri Mar 09 2001 - kukuk@suse.de
- Add ping and ping.8 manual page from OpenBSD.
* Mon Mar 05 2001 - kukuk@suse.de
- fix to build with current glibc
* Wed Feb 14 2001 - uli@suse.de
- fixed to build on PPC
* Sat Nov 11 2000 - kukuk@suse.de
- Update to new version (20001110).
* Sat Oct 14 2000 - kukuk@suse.de
- spec file fixes
* Sat Oct 14 2000 - kukuk@suse.de
- Initial version
